body.popup-active {
  position: fixed;
}
/*Popup container*/
#PopupContainer {
  position: fixed;
  justify-content: center;
  align-items: center;
  z-index: 200;
  top: 0;
  left: 0;
  backdrop-filter: blur(20px);
  width: 100%;
  height: 100dvh;
  display: flex;
}
#PopupContainer.cancel {
  animation: slideOut 1s ease forwards;
}
@keyframes slideOut {
  from {
    opacity: 1;
    transform: translateY(0);
  }
  to {
    opacity: 0;
    transform: translateY(100px);
  }
}
#cancelPopup {
  position: absolute;
  top: 20px;
  left: 20px;
  font-size: 1.5rem;
  font-weight: 700;
  cursor: pointer;
  display: flex;
  flex-direction: column;
}
#cancelPopup span {
  width: 22px;
  height: 4px;
  border-radius: 20px;
  background-color: var(--text-light);
}
#cancelPopup span:nth-child(1) {
  transform: rotate(45deg) translate(3px);
}
#cancelPopup span:nth-child(2) {
  transform: rotate(-45deg) translate(2px);
}

/* Waitlist Form */
#waitlistform {
  max-width: fit-content;
  position: absolute;
  text-align: center;
  z-index: 200;
  animation: slideDown 1s ease forwards;
}

@keyframes slideDown {
  from {
    opacity: 0;
    transform: translateY(-100px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
form {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
}

form input {
  width: 90%;
  max-width: 420px;
  height: 45px;
  border: 1px solid #6ca0ff;
  border-radius: var(--radius);
  padding: 10px 14px;
  font-size: 1.1rem;
  transition: 0.2s ease;
}
form input::placeholder {
  color: #515151;
}
form input:focus {
  border-color: #4f46e5;
  outline: none;
  box-shadow: 0 0 15px rgba(78, 70, 229, 0.441);
}

form button {
  display: inline-block;
  background: var(--accent2);
  color: var(--button-text-color);
  text-decoration: none;
  padding: 12px 30px;
  border-radius: var(--radius);
  font-weight: 600;
  transition: 0.3s ease;
  font-size: 15px;
  margin-top: 10px;
  border: none;
}

form button:hover {
  background-color: var(--secondary-button-hover-color);
  transform: translateY(-3px);
}
label {
  font-weight: 600;
}
h1 {
  margin-top: 50px;
}

#container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
  gap: clamp(1rem, 5vw, 2rem);
  max-width: 100vw;
  margin: 0 20px 70px;
}

.price {
  background-color: var(--card-background-color);
  color: var(--text-color);
  box-shadow: 0 4px 10px rgba(255, 246, 246, 0.285);
  border: 2px solid var(--card-border-color);
  border-radius: var(--radius);
  padding: 10px 40px 40px;
  transition: transform 0.5s ease, border-color 0.5s ease;
}

.price:hover {
  transform: translateY(-6px);
  border-color: var(--hover-border);
}

.price h3 {
  text-align: center;
  margin-bottom: 18px;
  font-size: 1.4rem;
}

#container .price:nth-child(1) ul li::marker {
  color: #6ca0ff;
  font-size: 34px;
}
#container .price:nth-child(2) ul li::marker {
  color: var(--accent2);
  font-size: 34px;
}
#container .price:nth-child(3) ul li::marker {
  color: var(--accent1);
  font-size: 34px;
}

a.priceBtn {
  position: sticky;
  bottom: 0;
  right: 0;
  display: block;
  background-color: var(--accent2);
  padding: 14px 36px;
  margin: 40px auto 0;
  color: var(--button-text-color);
  font-weight: 600;
  border-radius: var(--radius);
  text-align: center;
  text-decoration: none;
  box-shadow: 0 5px 15px rgba(79, 70, 229, 0.2);
  transition: transform 0.4s ease, box-shadow 0.4s ease,
    background-color 0.4s ease;
}

a.priceBtn::after {
  font-weight: 600;
  content: "→";
  opacity: 0;
  transition: opacity 0.6s ease, margin-left 0.6s ease;
}

a.priceBtn:hover {
  transform: translateY(-3px);
  box-shadow: 0 8px 20px rgba(79, 70, 229, 0.25);
  opacity: 0.9;
}

a.priceBtn:hover::after {
  margin-left: 5px;
  opacity: 1;
}

@media (max-width: 1000px) {
  #container {
    margin: 10px;
    grid-template-columns: 1fr;
  }
  .price {
    width: 90%;
    margin: auto;
  }
}
